section.home-banner .home-banner-img {
    position: relative;
}

section.home-banner .home-banner-img::after {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0000005e;
    top: 0;
    z-index: 9;
}


.home-banner-slider {
    position: relative;
}
.home-banner-img img {
    width: 100%;
}
.home-banner-box {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    color: var(--white-color);
    gap: 5rem;
    z-index:99;
}
.home-banner-box h1,
.home-banner-box h2 {
    font: var(--banner-font);
}
.home-banner-box h1 {
    font: var(--banner-font);
    font-size: 80px;
    line-height: 85px;
}
.home-banner-box p {
    color: var(--white-color);
    font-size: 19px;
    line-height: 26px;
    font-weight: 400;
}
.banner-border {
    display: block;
    height: 146px;
    width: 1px;
    background-color: var(--white-color);
}
.home-banner-box .main-btn .button-text {
    color: var(--white-color);
}
.home-banner-slider .swiper-pagination-bullets {
    position: absolute;
    bottom: 12%;
    right: 13%;
    left: unset;
    justify-content: end;
}
.home-banner-slider .swiper-pagination-bullet {
    background: var(--white-color);
}
.home-banner-slider .swiper-pagination-bullet-active {
    background: var(--theme-color);
}
.banner-card {
    background: var(--white-color);
    border-radius: 0;
    padding: 15px;
    display: flex;
    align-items: center;
    gap: 15px;
    box-shadow: 0 6px 18px rgba(15, 23, 42, 0.06);
    max-width: 370px;
    margin: 30px auto;
    position: absolute;
    bottom: 6%;
    right: 13%;
}
.banner-image {
    width: 90px;
    height: 90px;
    flex: 0 0 90px;
    overflow: hidden;
    border-radius: 4px;
    background: #e9ecef;
    display: block;
}
.banner-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.banner-content h3 {
    margin: 0 0 8px 0;
    font: 500 normal 1rem / 1.1rem 'Adani', sans-serif;
    color: var(--black-color)
}
.banner-content p {
    margin: 0;
    color: #515151;
    max-width: 80%;
    font-size: 12px;
    line-height: normal;
}
.circle-btn {
    margin-left: auto;
    flex: 0 0 54px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    border: 1px solid var(--heading-color);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    transition: transform .15s ease, border-color .15s ease;
    cursor: pointer;
    position: absolute;
    right: 20px;
    bottom: 20px;
}
.circle-btn:hover {
    transform: translateY(-3px);
    border-color: var(--heading-color);
}
.circle-btn svg {
    width: 18px;
    height: 18px;
    color: var(--heading-color);
}
.building-tomorrow {
    padding-top: 2rem !important;
}
.building-tomorrow .building-tomorrow-para {
    width: 85%;
    max-width: 600px;
    margin-top: 1.5rem;
}
.building-tomorrow-icon-box h3 {
    margin: 1rem 0 0;
    font-size: 25px;
    line-height: 27px;
}
.building-tomorrow-icon-box p {
    font: 400 normal 12px/ 42px 'Adani', sans-serif;
    color: rgb(57 57 57 / 0.6);
    margin-bottom: 0;
}
.building-tomorrow-usp {
    display: flex;
    gap: 2rem;
    margin-top: 2rem;
}
.building-tomorrow-col {
    padding-left: 8rem;
}
.precision-led-col {
    padding-left: 8rem;
}
.precision-led-col p {
    width: 85%;
    max-width: 600px;
    margin: 0 0 25px;
}
.precision-led-box {
    margin-top: 1rem;
}
.precision-led-box h3 {
    font-size: 32px;
    line-height: 21px;
    margin-bottom: 15px;
    font-weight: 400;
    color: var(--heading-color);
}
.precision-led-box p {
    margin-top: 0;
    width: 65%;
    max-width: 600px;
    margin-bottom: 0;
    font: 400 normal 13px /18px 'Adani', sans-serif;
}
.precision-led-card {
    margin-bottom: 1rem;
    align-items: center;
}
.precision-led-card:last-child {
    margin-bottom: 0;
}
.mastering {
    position: relative;
    height: 563px;
    overflow: hidden;
    display: flex;
    align-items: end;
    margin: 5rem 0 1rem;
    padding-bottom: 5rem !important;
}
.mastering-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}
.mastering-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: -1;
}
.mastering .container {
    position: relative;
    z-index: 1;
}
.mastering h2 {
    color: var(--white-color);
}
.mastering p {
    color: var(--white-color);
    margin-bottom: 0;
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 26px;
        letter-spacing: -0.02em;
}
.mastering .main-btn .button-text {
    color: var(--white-color);
}
.line {
    width: 100px;
    height: 1px;
    margin: 20px auto 40px auto;
    border-bottom: 1px solid var(--white-color);
}
.adani-edge img {
    width: 100%;
    display: block;
    max-width: fit-content;
}
#before-after-slider {
    width: 100%;
    position: relative;
    overflow: hidden;
    border: 3px solid var(--white-color);
}
#before-image {
    display: block
}
#after-image {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}
#after-image img {
    width: auto;
    height: 100%;
    clip-path: inset(0 50% 0 0);
    /* initial clip */
}
#resizer {
    position: absolute;
    display: flex;
    align-items: center;
    z-index: 5;
    top: 0;
    left: 50%;
    height: 100%;
    width: 4px;
    background: var(--white-color);
    /*Stop vertical scrolling on touch*/
    -ms-touch-action: pan-y;
    touch-action: pan-y;
}
    #resizer:after {
        content: "";
        background: url("/images/AdaniInfrastructure/home/compare-arrow.svg") no-repeat center;
        font-weight: 900;
        display: flex;
        justify-content: center;
        align-items: center;
        color: var(--white-color);
        position: absolute;
        margin: 0 0 0 -25px;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        border: 3px solid var(--white-color);
        background-size: 20px;
        background-color: var(--white-color);
        transition: transform 0.2s ease;
    }
#resizer:before {
    content: "Drag";
    position: absolute;
    top: calc(46% + 24px);
    left: -17px;
    width: 40px;
    text-align: center;
    font-size: 10px;
    font-weight: 600;
    transform: none !important;
    pointer-events: none;
    z-index: 99;
    background: var(--theme-color);
    background-clip: text;
    color: transparent;
}

#resizer.rotated:after { transform: rotate(180deg); transition: transform 0.18s ease; }
#resizer:before { transform: none !important; } 

.before-image-heading,
.after-image-heading {
    position: absolute;
    top: 10%;
    left: 10%;
    width: 60%;
    color: var(--white-color);
    z-index: 999;
}
.before-image-heading h2,
.after-image-heading h2 {
    color: var(--white-color);
}
.before-image-box,
.after-image-box {
    position: absolute;
    bottom: 10%;
    right: 10%;
    background: linear-gradient(90deg,
            rgba(0, 128, 168, 0.7) 0%,
            rgba(0, 126, 168, 0.7) 6.58%,
            rgba(25, 120, 170, 0.7) 13.65%,
            rgba(48, 111, 172, 0.7) 20.91%,
            rgba(62, 100, 175, 0.7) 26.88%,
            rgba(73, 97, 172, 0.7) 33.5%,
            rgba(95, 87, 165, 0.7) 43.35%,
            rgba(123, 66, 154, 0.7) 55.16%,
            rgba(140, 45, 145, 0.7) 62.64%,
            rgba(193, 60, 95, 0.7) 100.02%);
    width: 450px;
    margin: auto;
    justify-content: center;
    padding: 2rem;
    border-radius: 6px;
    height: auto;
}
.before-image-box-image,
.after-image-box-image {
    height: 40px;
    width: 40px;
}
#after-image .after-image-box-image img {
    clip-path: unset;
}
.before-image-box-content h3,
.after-image-box-content h3 {
    color: var(--white-color);
    font: 500 2.0625rem / 2.0625rem "Adani", sans-serif;
}
.before-image-box-content p,
.after-image-box-content p {
    color: var(--white-color);
    margin-bottom: 0;
    line-height: normal;
}
.before-image-box:after,
.after-image-box:after {
    content: "";
    background: var(--white-color);
    display: block;
    width: 2px;
    height: 50%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: -10px;
    right: 0;
    display: flex;
    margin: auto;
}
.resize {
    background: var(--theme-color) !important;
}
/* Disable selection and drag during slider interaction */
#adani-edge,
#before-after-slider,
#before-after-slider * {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#adani-edge img {
    -webkit-user-drag: none;
    user-drag: none;
}
.building-nation-slider {
    margin-top: 3rem;
    margin-left: 8rem;
    /* margin-left: auto; */
}
.building-nation-slider .building-nation-slider-btn {
    height: 45px;
    width: 45px;
    background: var(--theme-color);
    display: flex;
    border-radius: 100%;
    align-items: center;
    justify-content: center;
    background-size: 200% 200%;
    animation: gradientMove 3s ease infinite;
}
.building-nation-slider .building-nation-slider-btn picture {
    display: block;
    height: 8px;
    width: 5px;
}
.building-nation-slider .card-img-overlay {
    bottom: 2%;
    top: unset;
    left: 7%;
}
.building-nation-slider h3 {
    color: var(--white-color);
    font-style: normal;
    font-weight: 400;
    font-size: 30px;
    line-height: 35px;
    letter-spacing: -0.04em;
    margin-top: 1rem;
}
.building-nation-slider .badge-bg {
    background-color: var(--white-color);
    border-radius: 50px;
    width: fit-content;
    padding-inline: 1rem;
}
.building-nation-slider .badge-bg span {
    background: var(--theme-color);
    background-clip: text;
    color: transparent;
    font: 400 1rem / 1.75rem "Adani", sans-serif;
}
.building-nation-slider-btn img {
    display: block;
    width: 100%;
}


.innovation-image h2 {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--white-color);
    margin-bottom: 0;
    width: 70%;
    line-height: 55px;
}
.innovation-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 30%;
    right: 0;
}
.innovation-box {
    background-color: #F3F3F3;
    width: 298px;
    height: 313px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-inline: 3rem;
}
.innovation-box h3 {
    background: var(--theme-color);
    background-clip: text;
    color: transparent;
    font: 400 1.2rem / 1.75rem "Adani", sans-serif;
    margin-bottom: 1.6rem;
}
.innovation-box p {
    font: 400 1.4rem / 1.75rem "Adani", sans-serif;
    margin-bottom: 0;
}
.shape-skylines-box {
    position: relative;
    overflow: hidden;
}
.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
    /* dark transparent overlay */
    z-index: 1;
}
.shape-skylines-content {
    z-index: 2;
    /* above overlay */
    color: #fff;
    /* make text visible on dark overlay */
}
.shape-skylines-video {
    width: 100%;
    height: 358px;
    object-fit: cover;
    display: block;
    max-width: 100%;
}
.shape-skylines-box {
    position: relative;
}
.shape-skylines-content {
    position: absolute;
    bottom: 16%;
    left: 0;
    right: 0;
    margin: auto;
}
.shape-skylines-content h2 {
    color: var(--white-color);
    padding-left: 2rem;
}
.shape-skylines-content .button-text {
    color: var(--white-color) !important;
}
.shape-skyline-heading h3 {
    background: var(--theme-color);
    background-clip: text;
    color: transparent;
    font: 400 1.5rem / 1.75rem "Adani", sans-serif;
    margin-bottom: 3.6rem;
}
.shape-skyline-heading h2 {
    margin-bottom: 0;
}
.media-card .media-category {
    /*background-color: #F3F3F3;*/
    background-color: #fff;
    border-radius: 50px;
    width: fit-content;
    padding-inline: 1rem;
}
.media-card .media-category span {
    background: var(--theme-color);
    background-clip: text;
    color: transparent;
    font: 400 1rem / 1.75rem "Adani", sans-serif;
}
.media-card h2 {
    font: 400 1.2rem / 1.75rem "Adani", sans-serif;
    color: #22292E;
    margin: 1rem 0 2rem;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.our-gorup-slider h2 {
    background: var(--theme-color);
    background-clip: text;
    color: transparent;
    font: 500 0.8rem / 1.75rem "Adani", sans-serif;
    text-align: center;
    margin-top: 0.3rem;
}
.our-group {
    padding-bottom: 5rem !important;
}
.group-website h2 {
    font-size: 32px;
}

/*new css*/
/*.badge-bg-box {
    height: 120px;
}*/
.badge-bg-box h3 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.row.shape-skylines-content a.main-btn {
    margin-right: 30px;
}
.media-slider .swiper-slide.items {
    padding: 2rem;
    height: 100%;
    background: #F3F3F3;
}
.media-slider .swiper-slide.items:hover {
    background: var(--light-theme-color);
}
.media-slider .swiper-slide.items:hover h2 {
    color: var(--white-color) !important;
}

.building-nation img {
    width: 100%;
}

/* ==============================
   Responsive CSS
================================= */
@media (max-width: 1199px) {
    .home-banner-img {
        height: 590px !important;
    }
}
/* Tablets Portrait (768px â€“ 991px) */
@media (max-width: 991px) {
  .home-banner-slider .swiper-wrapper {
    padding-bottom: 0;
}
.mastering {
    margin: 2rem 0 1rem;
}

    .home-banner-box h1 {
    margin-bottom: 0;
    font-style: normal;
    font-weight: 400;
    font-size: 45px;
    line-height: normal;
    letter-spacing: -0.04em;
}
    .home-banner-box {
        flex-direction: column;
        gap: 2rem;
        align-items: start;
        justify-content: center;
        height: 30%;
        max-width: 80%;
        top: 20%;
    }
    .banner-card {
        bottom: 10%;
    }
    .banner-border {
        height: 2px;
        width: 146px;
    }
    .home-banner-img {
        height: 150vh;
    }
    .building-tomorrow-col {
        padding: 0;
        text-align: center;
        max-width: 90%;
        margin: auto;
    }
    .building-tomorrow br {
        display: none;
    }
    .building-tomorrow .building-tomorrow-para {
        width: 100%;
    }
    .banner-content p {
        max-width: 87%;
        font-size: 10px;
    }
    .circle-btn {
        height: 30px;
        width: 30px;
    }
    .banner-image {
        width: 80px;
        height: 80px;
        flex: 0 0 80px;
    }
    .building-tomorrow-usp {
        flex-direction: column;
        gap: 1rem;
    }
    .precision-led-col {
        padding-left: 0;
        text-align: center;
    }
    .precision-led-col p {
        width: 80%;
        margin: 20px auto 40px;
    }
    .precision-led-card {
        margin-bottom: 2rem;
    }
    .precision-led-card-content h3 {
        padding-top: 1rem;
    }
    .precision-led-box p {
        margin: 0 auto;
    }
    .precision-led-card-image img {
        width: 80%;
    }
    .mastering h2 {
        margin-bottom: 1rem;
    }
    .mastering h2 {
        margin-bottom: 1rem;
    }
    .mastering {
        margin-bottom: 0;
    }
    .adani-edge h2,
    .adani-edge p {
        text-align: center;
    }
    .our-landmark p {
      padding: 0 15px;
    }
    #before-after-tabs button {
        font: var(--sub-heading-font);
        color: rgba(57, 57, 57, 0.4);
    }
    #before-after-tabs.nav-pills .nav-link.active,
    #before-after-tabs.nav-pills .show>.nav-link {
        background-color: unset;
        color: var(--heading-color);
    }
    #before-after-tabs li button:after {
        content: "";
        border-bottom: 2px solid #D9D9D9;
        display: block;
        width: 100%;
        padding-top: 0.5rem;
    }
    #before-after-tabs.nav-pills .nav-link.active::after,
    #before-after-tabs.nav-pills .show>.nav-link::after {
        border-bottom: 2px solid;
        border-image: var(--theme-color) 1;
    }
    .adani-edge #pills-tabContent .adani-edge-tab-content-image picture {
        width: 100%;
        height: 422px;
    }
    .adani-edge #pills-tabContent .adani-edge-tab-content-image picture img {
        object-fit: cover;
        min-width: 100%;
        max-height: 100%;
        min-height: 100%;
    }
    .mobile-after-box {
        position: absolute;
        top: 10%;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .after-image-mobile-heading h2 {
        color: var(--white-color);
        max-width: 70%;
        margin: auto;
    }
    .after-image-mobile-box {
        background: linear-gradient(90deg, rgba(0, 128, 168, 0.7) 0%, rgba(0, 126, 168, 0.7) 6.58%, rgba(25, 120, 170, 0.7) 13.65%, rgba(48, 111, 172, 0.7) 20.91%, rgba(62, 100, 175, 0.7) 26.88%, rgba(73, 97, 172, 0.7) 33.5%, rgba(95, 87, 165, 0.7) 43.35%, rgba(123, 66, 154, 0.7) 55.16%, rgba(140, 45, 145, 0.7) 62.64%, rgba(193, 60, 95, 0.7) 100.02%);
        width: 90%;
        margin: auto;
        justify-content: center;
        padding: 2rem;
        border-radius: 6px;
        height: auto;
    }
    .before-image-box-content h3,
    .after-image-box-content h3 {
        font: 500 1.5rem / 2.0625rem "Adani", sans-serif;
        margin-bottom: 0;
    }
    .before-image-box-content p,
    .after-image-box-content p {
        font: 400 0.8rem / 1.0625rem "Adani", sans-serif;
        margin-bottom: 0;
        text-align: left;
    }
    .building-nation h2,
    .building-nation p {
        text-align: center;
    }
    .building-nation p {
        max-width: 90%;
        margin: 1rem auto 0;
    }
    .building-nation-slider {
        margin-left: 0;
    }
    .building-nation-slider h3 {
        font: 400 1.25rem / 1.5625rem "Adani", sans-serif;
    }
    .building-nation-slider .badge-bg span {
        font: 400 0.9rem / 1rem "Adani", sans-serif;
    }
    .building-nation-slider .badge-bg {
        padding: 0;
    }
    .building-nation-slider .building-nation-slider-btn {
        height: 30px;
        width: 30px;
    }
    .badge-bg-box {
       height: auto;
    }
    .shape-skyline-heading h3 {
        text-align: center;
        margin-bottom: 1rem;
    }
    .shape-skyline-heading h3 br {
        display: none;
    }
    .shape-skyline-heading h2 {
        text-align: center;
        margin-bottom: 1rem;
    }
    .shape-skyline-heading h2 br {
        display: none;
    }
    .shape-skylines-content h2 {
        text-align: center;
        padding: revert-layer;
    }
    .shape-skylines-content .main-btn {
        margin: auto;
        text-align: center;
    }
    .innovation-image picture {
        width: 100%;
        height: 650px;
    }
    .innovation-image picture img {
        object-fit: cover;
        min-width: 100%;
        min-height: 100%;
        max-height: 100%;
    }
    .innovation-image h2 {
        align-items: start;
        text-align: center;
        padding: 5rem 2rem 0;
        width: 100%;
        font-size: 36px;
        line-height: 46px;
    }
    .innovation-image h2 br {
        display: none;
    }
    .innovation-wrapper {
        align-items: center;
        padding-bottom: 2rem;
        flex-direction: column;
        justify-content: end;
        left: 0;
        gap: 1rem;
    }
    .innovation-box {
        height: 147px;
        width: 360px;
    }
    .innovation-box h3 {
        margin-bottom: 1rem;
    }
    .our-group .container {
        padding-right: 0;
        overflow: hidden;
    }
    .media h2 {
        text-align: center;
    }
    .media-slider h2 {
        text-align: left;
        font: 400 1rem / 1.5rem "Adani", sans-serif;
        height: 3rem;
    }
    section.our-group.section-spacing {
    padding: 3rem 0 !important;
   }
}
/* Mobile Landscape (576px â€“ 767px) */
@media (max-width: 768px) {
    .home-banner-box {
        flex-direction: column;
        gap: 1.2rem;
        align-items: start;
        justify-content: start;
        height: 80%;
        max-width: 70%;
        top: 30%;
    }
    .banner-border {
        height: 2px;
        width: 146px;
    }
    a.banner-card {
        left: 0;
        right: 0;
        max-width: 90%;
    }
    .home-banner-slider .swiper-pagination-bullets {
        left: unset;
        right: 0%;
        justify-content: center;
    }
    .building-tomorrow-col {
        padding: 0;
        text-align: center;
    }
    .building-tomorrow .building-tomorrow-para {
        width: 100%;
    }
    .home-banner-box p br {
        display: none;
    }
}
/* Mobile Portrait (â‰¤575px) */
@media (max-width: 575px) {
    .home-banner-img {
        height: auto;
    }
        .home-banner-img img {
        height: 100%;
    }
}
/* Mobile Portrait (â‰¤575px) */
@media (max-width: 316px) {
    .home-banner-img {
        height: auto;
    }
    .home-banner-img img {
        height: 120vh;
    }
    .banner-image {
        width: 60px;
        height: 60px;
        flex: 0 0 60px;
    }
    .banner-content p {
        font-size: 7px;
        max-width: 81%;
    }
    .home-banner-box {
        height: 90%;
        max-width: 100%;
    }
    .home-banner-box h1,
    .home-banner-box h2 {
        margin-bottom: 0;
    }
}